#
# spec file for package photoqt
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           photoqt
Version:        1.6
Release:        lp152.3.80
Summary:        A Qt-based image viewer
License:        GPL-2.0+
Group:          Productivity/Graphics/Viewers
Url:            http://photoqt.org/
Source0:        http://photoqt.org/pkgs/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(GraphicsMagick++)
BuildRequires:  pkgconfig(Qt5Multimedia) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(libraw)

%description
PhotoQt is a configurable image viewer.

%prep
%setup -q

%build
%cmake
make %{?_smp_mflags} 

%install
%cmake_install

%post
%icon_theme_cache_post
%desktop_database_post

%postun
%icon_theme_cache_postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc %doc CHANGELOG COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.??g
%{_datadir}/appdata/%{name}.appdata.xml
%dir %{_datadir}/appdata

%changelog
* Wed Feb 21 2018 avvissu@yandex.by
- Update to 1.6:
  * see: /usr/share/doc/packages/photoqt/CHANGELOG
* Wed May 10 2017 jengelh@inai.de
- Ensure neutrality of description.
* Wed Jan 18 2017 avvissu@yandex.by
- Update to 1.5.1:
  * see: /usr/share/doc/packages/photoqt/CHANGELOG
* Thu Jan 12 2017 avvissu@yandex.by
- Update to 1.5:
  * see: /usr/share/doc/packages/photoqt/CHANGELOG
* Fri Nov  4 2016 avvissu@yandex.by
- Update to 1.4.1.1:
  * see: /usr/share/doc/packages/photoqt/CHANGELOG
- Add support libraw
- Update the icon theme cache
- Drop photoqt-1.2_invalid-desktopfile.patch
* Sat Jun 20 2015 avvissu@yandex.ru
- Update to 1.2.1:
  * see: /usr/share/doc/packages/photoqt/CHANGELOG
* Tue May 12 2015 avvissu@yandex.ru
- Initial release
